curl --request PUT \
--url https://dev.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/personal-data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"employeeName": {
"familyName": "<string>",
"givenName": "<string>",
"familyNamePrefix": "<string>",
"givenNameSuffix": "<string>",
"birthName": "<string>",
"birthFamilyNamePrefix": "<string>",
"birthGivenNameSuffix": "<string>",
"title": "<string>"
}
}
'{
"employeeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": 123,
"employeeName": {
"familyName": "<string>",
"givenName": "<string>",
"familyNamePrefix": "<string>",
"givenNameSuffix": "<string>",
"birthName": "<string>",
"birthFamilyNamePrefix": "<string>",
"birthGivenNameSuffix": "<string>",
"title": "<string>"
},
"employmentCountry": "DE",
"gender": "M",
"maritalStatus": "Single",
"nationality": "<string>",
"residenceAddress": "<string>",
"statusIndicator": "managing_partner_gmbh_ug",
"validFrom": "2023-12-25",
"validTo": "2023-12-25"
}Update personal data for an employee (creates new version).
curl --request PUT \
--url https://dev.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/personal-data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"employeeName": {
"familyName": "<string>",
"givenName": "<string>",
"familyNamePrefix": "<string>",
"givenNameSuffix": "<string>",
"birthName": "<string>",
"birthFamilyNamePrefix": "<string>",
"birthGivenNameSuffix": "<string>",
"title": "<string>"
}
}
'{
"employeeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": 123,
"employeeName": {
"familyName": "<string>",
"givenName": "<string>",
"familyNamePrefix": "<string>",
"givenNameSuffix": "<string>",
"birthName": "<string>",
"birthFamilyNamePrefix": "<string>",
"birthGivenNameSuffix": "<string>",
"title": "<string>"
},
"employmentCountry": "DE",
"gender": "M",
"maritalStatus": "Single",
"nationality": "<string>",
"residenceAddress": "<string>",
"statusIndicator": "managing_partner_gmbh_ug",
"validFrom": "2023-12-25",
"validTo": "2023-12-25"
}Get token from Auth0 and paste it here
Schema for personal data of a German employee. Change tracked personal data.
EN: Employee name | DE: Mitarbeitername
Show child attributes
"DE"EN: Gender | DE: Geschlecht)
M, W, D EN: Marital status | DE: Familienstand
Single, Married EN: Nationality | DE: Staatsangehörigkeit
"German"
EN: Residence address | DE: Wohnadresse
"Taigschuster 11, 82380 Peissenberg, Germany"
EN: Employee status indicator | DE: Statuskennzeichen
managing_partner_gmbh_ug, proprietor_spouse, proprietor_life_partner, proprietor_biological_child, proprietor_adopted_child, proprietor_grandchild EN: Valid from date | DE: Gültig ab Datum
EN: Valid to date | DE: Gültig bis Datum
Successful Response
Response model for personal data with metadata fields.
Show child attributes
"DE"Legally recognized genders in Germany.
M, W, D Single, Married EN: Employee status indicator | DE: Statuskennzeichen
managing_partner_gmbh_ug, proprietor_spouse, proprietor_life_partner, proprietor_biological_child, proprietor_adopted_child, proprietor_grandchild EN: Valid from date | DE: Gültig ab Datum
EN: Valid to date | DE: Gültig bis Datum
Was this page helpful?